HUGO-NEW(1)

NAME

hugo-new - Create new content for your site

SYNOPSIS

hugo new [path] [flags]

DESCRIPTION

Create a new content file and automatically set the date and title. It will guess which kind of file to create based on the path provided.

You can also specify the kind with -k KIND.

If archetypes are provided in your theme or site, they will be used.

Ensure you run this within the root directory of your site.

OPTIONS

--editor=""
    edit new content with this editor, if provided

-h, --help[=false]
    help for new

-k, --kind=""
    content type to create

-s, --source=""
    filesystem path to read files relative from

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--debug[=false]
    debug output

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo(1), hugo-new-site(1), hugo-new-theme(1)